Subject: use llvm's getCPUTargetFeatures() over getHostCPUName()

From: Fabio Pedretti <[email-masked]>
Date: Mon, 18 Mar 2024 11:36:55 +0100

It looks like the src/gallium/auxiliary/gallivm/lp_bld_misc.cpp file
in mesa was heavily updated for managing newer llvm versions, even if
mesa is still using getHostCPUName and still not getCPUTargetFeatures.

Michael, do you think there is still something to do in mesa?

Steve and Bernhard, are you still able to reproduce the original issue?